Contenido

# Iniciar un programa de LibreOffice con parámetros

Si se inicia LibreOffice desde la consola, podrá asignar varios parámetros con los que se puede influir en el desempeño. El uso de los parámetros de la consola solo se recomienda a los usuarios con experiencia.

Para un manejo normal, no es necesario el uso de los parámetros de consola. Algunos de los parámetros requieren un mayor conocimiento técnico de la tecnología de LibreOffice.

## Inicio de LibreOffice desde la consola

1. Busque Ejecutar en el menú Inicio de Windows.

2. Escriba la orden siguiente en el campo de texto Abrir y pulse en Aceptar.

3. "{install}\program\soffice.com" {parámetro}

   Sustituya {instalación} por la ruta a la instalación de los programas de LibreOffice (por ejemplo, C:\Archivos de programa\LibreOffice). Utilice soffice.exe en lugar de soffice.com cuando no necesite la consola (esto es, si no emplea la interfaz de línea de órdenes para operaciones en modo sin periféricos).

1. Abra un intérprete de órdenes en las plataformas Linux, *BSD o macOS.

2. Type the following line of text, then press Return:

   {instalación}/program/soffice {parámetro}

   Replace {install} with the path to your installation of LibreOffice software (for example, /opt/LibreOffice in UNIX)

LibreOffice requires write access to its user profile directory.

## Parámetros válidos de la consola

### Utilización sin parámetros especiales

El uso sin ningún parámetro abre el centro de bienvenida.

{archivo} | Intenta abrir los archivos en los componentes más adecuados.
{archivo} macro://./[Biblioteca.Módulo.NombreDeMacro] | Abre el archivo y aplica las macros especificadas contenidas en el archivo.

### Obtención de ayuda e información

Parámetro | Significado
--- | ---
--help / -h / -? | Enumera en la consola los parámetros de línea de órdenes disponibles.
--helpwriter | Abre la ayuda incorporada o en línea de LibreOffice para Writer.
--helpcalc | Abre la ayuda incorporada o en línea de LibreOffice para Calc.
--helpdraw | Abre la ayuda incorporada o en línea de LibreOffice para Draw.
--helpimpress | Abre la ayuda incorporada o en línea de LibreOffice para Impress.
--helpbase | Abre la ayuda incorporada o en línea de LibreOffice para Base.
--helpbasic | Abre la ayuda incorporada o en línea de LibreOffice para el lenguaje de programación Basic.
--helpmath | Abre la ayuda incorporada o en línea de LibreOffice para Math.
--version | Muestra la versión de LibreOffice y finaliza el programa.
--nstemporarydirectory | (Solo aplica para el espacio aislado de macOS) Devuelve la ruta de acceso de la carpeta temporal de la cuenta de usuario actual y sale. Invalida el resto de los argumentos.

### Argumentos generales

Parámetro | Significado
--- | ---
--quickstart[=no] | Activa o desactiva el servicio de inicio rápido. Únicamente acepta un parámetro, no, que desactiva el servicio. Sin este parámetro, el servicio se activa.
--nolockcheck | Desactiva la comprobación de instancias remotas durante la instalación.
--infilter=InputFilterName [:InputFilterParam[,param]] | Forces an input filter type, if possible. For example: --infilter="Calc Office Open XML" --infilter="Text (encoded):UTF8,LF,Liberation Mono,en-US". See the list of document filters for file conversion. The list of filter options for Lotus, dBase and Diff files. The list of filter options for CSV files. The list of filter options for PDF files.
--pidfile={file} | Almacenar el identificador de proceso (PID) de soffice.bin en {archivo}.
--display {display} | Sets the DISPLAY environment variable on UNIX-like platforms to the value {display}. This parameter is only supported by the start script for LibreOffice software on UNIX-like platforms.

### Control de interfaz de usuario o programática

Parámetro | Significado
--- | ---
--nologo | Desactiva la pantalla de presentación al arrancar el programa.
--minimized | Se inicia minimizado. No se muestra la pantalla de presentación.
--nodefault | Se inicia sin mostrar nada excepto la pantalla presentación.
--invisible | Se inicia en modo invisible. No serán visibles ni el logotipo de inicio ni la ventana inicial del programa. Será posible controlar LibreOffice y manejar y abrir documentos gracias a la API. Con este parámetro, LibreOffice puede detenerse únicamente mediante el Administrador de tareas (Windows) o la orden kill (sistemas de tipo UNIX). No se puede usar de forma simultánea con --quickstart. Encontrará más información en la guía de programación de LibreOffice.
--headless | Se inicia en el modo sin representación gráfica, que permite usar la aplicación sin la interfaz de usuario. Esta modalidad especial puede emplearse cuando clientes externos controlen la aplicación por medio de la API.
--norestore | Desactiva el reinicio y la recuperación de archivos después de una caída del sistema.
--safe-mode | Inicia en el modo a prueba de errores, es decir, con un nuevo perfil de usuario temporal. Ello le ayuda a diagnosticar y reparar una configuración defectuosa.
--accept={UNO} | Notifica a LibreOffice que se empleará una cadena «UNO Accept String» tras la creación de «UNO Acceptor Threads». Un URL de UNO es una cadena semejante a uno:tipo-conexión,parámetros;nombre-protocolo,parámetros;NombreObjeto. Encontrará más información en la guía de programación de LibreOffice.
--unaccept={UNO-URL} | Closes an acceptor that was created with --accept={UNO-URL}. Use --unaccept=all to close all open acceptors.
--language={lang} | Utiliza un idioma especificado, si el idioma no se ha seleccionado aún para la IU. El idioma se denota como una etiqueta IETF.

### Argumentos de programación

Parámetro | Significado
--- | ---
--terminate_after_init | Sale tras finalizar la inicialización (sin cargar ningún documento).
--eventtesting | Sale tras cargar los documentos.

Unix and Linux user can invoke LibreOffice with these additional parameters for debugging purposes.

Parámetro | Significado
--- | ---
--record | Un depurador mejorado.
--backtrace | Prints the backtrace of the entire stack.
--strace | strace is a diagnostic, debugging and instructional userspace utility for Linux.
--valgrind | Automatically detect many memory management and threading bugs, and profile the program in detail.

Las opciones de depuración --record, --backtrace, --strace y --valgrind no se pueden utilizar juntas. Úselas una a la vez.

### Argumentos de creación de documentos

Los argumentos crean un documento vacío del tipo especificado. Solo uno de ellos se puede utilizar en una línea de órdenes. Si se especifican nombres de archivos después de un argumento, se intentará abrirlos en el módulo definido.

Parámetro | Significado
--- | ---
--writer | Inicia con un documento vacío de Writer.
--calc | Inicia con un documento vacío de Calc.
--draw | Inicia con un documento vacío de Draw.
--impress | Inicia con un documento vacío de Impress.
--math | Inicia con un documento vacío de Math.
--global | Inicia con un patrón de documento de Writer vacío.
--web | Inicia con un documento vacío en HTML.

### Argumentos de apertura de archivos

Los argumentos determinan el tratamiento de los nombres de archivo que siguen. Un tratamiento nuevo comienza después del argumento y termina al comenzar el próximo argumento. El tratamiento predeterminado consiste en abrir los documentos para su edición y crear documentos nuevos cuando se trate de plantillas.

Parámetro | Significado
--- | ---
-n | Considera los archivos siguientes como plantillas para la creación de documentos nuevos.
-o | Abre los archivos siguientes para su edición, sin importar si son plantillas o no.
--pt {Printername} | Imprime los archivos siguientes con la impresora {Nombre_impresora} y finaliza. La pantalla de presentación no aparece. Si el nombre de archivo contiene espacios, se debe acotar con comillas. Si se utiliza varias veces, únicamente el último argumento {Nombre_impresora} es efectivo para todos los documentos de todas las ejecuciones de la orden --pt. Asimismo, el argumento --printer-name de la opción --print-to-file interfiere con {Nombre_impresora}.
-p | Imprime los archivos especificados mediante la impresora predeterminada y los cierra a continuación. No aparece la pantalla de presentación. Si el nombre de archivo contiene espacios, se debe acotar con comillas.
--view | Abre los archivos siguientes en el modo de visor (solo lectura).
--show[=número_de_diapositiva] | Opens and starts the slideshow of the following presentation documents immediately. Files are closed after the showing. If a slide_number is provided, they start at that slide.
--convert-to OutputFileExtension [:OutputFilterName [:OutputFilterParams[,param]]] [--outdir output_dir] | If --convert-to is used more than once, last value of OutputFileExtension[:OutputFilterName[:OutputFilterParams]] is effective. If --outdir is used more than once, only its last value is effective. In absence of --outdir, current working directory is used for the result. For example: --convert-to pdf *.doc --convert-to pdf:writer_pdf_Export --outdir /home/user *.doc --convert-to "html:XHTML Writer File:UTF8" *.doc --convert-to "txt:Text (encoded):UTF8" *.doc See the list of document filters for file conversion. The list of filter options for Lotus, dBase and Diff files. The list of filter options for CSV files. The list of filter options for PDF files.
--print-to-file [--printer-name printer_name] [--outdir output_dir] | Batch print files to file. If --outdir is not specified, then current working directory is used as output_dir. If --printer-name or --outdir used multiple times, only last value of each is effective. Also, {Printername} of --pt switch interferes with --printer-name. For example: --print-to-file *.doc --print-to-file --printer-name nasty_lowres_printer --outdir /home/user *.doc
--cat | Applies filter "txt:Text" to the following text documents and dump text content to console (implies --headless). Cannot be used with --convert-to.
-env:VAR[=VALUE] | Defina una variable de arranque. Por ejemplo, para establecer una ruta de perfil de usuario distinta a la predeterminada: soffice.com -env:UserInstallation=file:///c:/my-test-profile open LibreOffice.app -env:UserInstallation=file:///tmp/test soffice -env:UserInstallation=file:///tmp/test

### Modificadores ignorados

Parámetro | Significado
--- | ---
-psn | Ignorado (solo para macOS)
-Embedding | Ignorado (relativo a COM+; solo para Windows)
--nofirststartwizard | No hace nada; se acepta únicamente por motivos de compatibilidad retroactiva.
--protector {arg1} {arg2} | Se utiliza únicamente en las pruebas unitarias y debe tener dos argumentos.